import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
  * Ein Dreieck als sehr sehr einfache Spielfigur
 * 
 * @author (Peter Brichzin) 
 * @version (Version 1.0)
 */
public class Dreieck extends Actor
{
    /**
     * Setzt die Position neu
     * @param xNeu  neue x-Position
     * @param yNeu  neue y-Position
     */
    void PositionSetzen(int xNeu, int yNeu)
    {
        setLocation(xNeu, yNeu); 
    }
    
    /**
     * Verschiebt den Actor um die eingegebenen Werte
     * @param deltaX  Verschiebung in x-Richtung
     * @param deltaY  Verschiebung in y-Richtung
     */
    void Verschieben(int deltaX, int deltaY)
    {
        setLocation(getX()+deltaX, getY()+deltaY); 
    }
    

    /**
     * Dreht den Actor um den eingegebenen Winkel.
     * 
     * @param winkel  Drehwinkel
     */
    void Drehen(int winkel)
    {
        turn(winkel);
    }
    
    /**
     * Setzt die Drehrichtung des Actors.
     * 
     * @param winkelNeu  neuer Winkle,
     */
    void WinkelSetzen(int winkelNeu)
    {
        setRotation(winkelNeu);
    }
    

}
