import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Die Spielfigur Florian.
 * 
 * @author (Peter Brichzin) 
 * @version (Version 1.0)
 */
public class Florian extends Actor
{
    int schritte;
    int gesammelteBlumen;

    /**
     * Legt die Form und die Startposition fest.
     */
    Florian()
    {
        super();
        setRotation(0);

        schritte = 0;
        gesammelteBlumen = 0;
    }

    /**
     * Florian geht einen Schritt in Blickrichtung.
     */
    void Gehen()
    {
        if(getRotation()==0)
        { 
            NachOstenGehen();
        }
        else if(getRotation()==90)
        {
            NachSüdenGehen();
        }
        else if(getRotation()==180)
        {
            NachWestenGehen();
        }
        else if(getRotation()==270)
        {
            NachNordenGehen();
        }
        
        schritte = schritte +1;
    }

    /**
     * Florian geht einen Schritt nach Osten.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachOstenGehen()
    {
        if(getX()<9)
        {
            setLocation(getX()+1, getY()); 
        }
    }

    /**
     * Florian geht einen Schritt nach Süden.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachSüdenGehen()
    {
        if(getY()<9)
        {
            setLocation(getX(), getY()+1); 
        }
    }

    /**
     * Florian geht einen Schritt nach Westen.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachWestenGehen()
    {
        if(getX()>0)
        {
            setLocation(getX()-1, getY()); 
        }
    }

    /**
     * Florian geht einen Schritt nach Westen.
     * Ist Florian am Rand der Welt, bewegt er sich nicht weiter.
     */
    void NachNordenGehen()
    {
        if(getY()>0)
        {
            setLocation(getX(), getY()-1); 
        }
    }

    /**
     * Dreht sich um 90 Grad nach links
     * Tipp: Teste vorab (an einem Objekt der Klasse Florian) 
     * die Methoden turn, getRotation, setRotation der Oberklasse
     */
    void LinksDrehen()
    {
        if(getRotation()==0)
        {
            setRotation(270);
        }
        else if(getRotation()==90)
        {
            setRotation(0);
        }
        else if(getRotation()==180)
        {
            setRotation(90);
        }
        else if(getRotation()==270)
        {
            setRotation(180);
        }
    }

    /**
     * Dreht sich um 90 Grad nach rechts
     */
    void RechtsDrehen()
    {
        if(getRotation()==0)
        {
            setRotation(90);
        }
        else if(getRotation()==90)
        {
            setRotation(180);
        }
        else if(getRotation()==180)
        {
            setRotation(270);
        }
        else if(getRotation()==270)
        {
            setRotation(0);
        }
    }
    
    /**
     * Pflückt eine Blume, falls auf der Zelle vorhanden.
     */
    void Pflücken()
    {
        if(isTouching(Blume.class))
        {
            gesammelteBlumen = gesammelteBlumen+1;
        }
        removeTouching(Blume.class);
    }

    @Override public void act()
    {
        if (Greenfoot.isKeyDown("left")){
            LinksDrehen();
        }

        if (Greenfoot.isKeyDown("right")){
            RechtsDrehen();
        }

        Gehen();
        Pflücken();
    }
}
