import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Legt die Blumenwelt an und einige nicht beweglichen Objekte.
 * Das Spielfeld ist aus 10 x 10 Zellen der Größe 50 Pixel x 50 Pixel aufgebaut.
 * 
 * @author Peter Brichzin
 * @version 1.0
 */
public class Blumenwelt extends World
{

    /**
     * Erzeugt die Blumenwelt.
     * 
     */
    public Blumenwelt()
    {    
        /* Folgende Zeile erzeugt eine Welt (world) mit 10 x 10 Quadraten
         * der Seitenlänge 50 Pixel. Es gibt keine (false) äußeren Grenzen 
         * sodass Aktoren auch bei der Bewegung die Welt verlassen können. 
         */  
        super(10, 10, 50, false); 

        //Blumen "planzen" in der Welt

        int nummer; //ein Platzhalter für eine Nummer
        nummer = 1; //Startwert 1 für die Nummer

        while (nummer < 6)
        {
            addObject(new Blume(), nummer, 3);
            nummer = nummer + 1; // die Nummer wird um eins erhöht
        }
        addObject(new Blume(), 1, 2);
        addObject(new Blume(), 7, 4);
        addObject(new Blume(), 7, 6);
        addObject(new Blume(), 9, 7);
        addObject(new Blume(), 3, 8);

        // Pilze werden positioniert
        for (int posY=3; posY<8; posY= posY+1)
        {
            addObject(new Fliegenpilz(), 6, posY);
        }


    }
}
